Register User

Register a single learner.

POST/api/v1/client-user#

Request Body

user_idStringrequired
Unique learner identifier
ageNumber
Age (0 < age < 100)
genderString
Gender (Male: M, Female: F)
job_categoryString
Job category
years_of_experienceNumber
Years of experience (0 < years < 100)
school_yearNumber
School year (0 < school_year < 15)
departmentString
Department
extra_propertiesObject
Additional properties (free format)

Response Fields

resultBooleanrequired
Success status
curl -X POST "https://tapapi.coxwave.link/api/v1/client-user" \
  -H "Content-Type: application/json" \
  -H "TAP-API-KEY: {YOUR_API_KEY}" \
  -d '{
    "user_id": "user-001",
    "age": 25,
    "gender": "M",
    "job_category": "ITSW",
    "years_of_experience": 3,
    "department": "ENGINEERING"
  }'
import requests

res = requests.post(
    "https://tapapi.coxwave.link/api/v1/client-user",
    headers={"TAP-API-KEY": "{YOUR_API_KEY}"},
    json={
        "user_id": "user-001",
        "age": 25,
        "gender": "M",
        "job_category": "ITSW",
        "years_of_experience": 3,
        "department": "ENGINEERING"
    },
)
print(res.json())
package main

import (
	"bytes"
	"fmt"
	"io"
	"net/http"
)

func main() {
	body := []byte(`{
	  "user_id": "user-001",
	  "age": 25,
	  "gender": "M",
	  "job_category": "ITSW",
	  "years_of_experience": 3,
	  "department": "ENGINEERING"
	}`)
	req, _ := http.NewRequest("POST", "https://tapapi.coxwave.link/api/v1/client-user", bytes.NewBuffer(body))
	req.Header.Set("Content-Type", "application/json")
	req.Header.Set("TAP-API-KEY", "{YOUR_API_KEY}")
	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()
	b, _ := io.ReadAll(res.Body)
	fmt.Println(string(b))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
  public static void main(String[] args) throws Exception {
    String body = """
        {
          "user_id": "user-001",
          "age": 25,
          "gender": "M",
          "job_category": "ITSW",
          "years_of_experience": 3,
          "department": "ENGINEERING"
        }
        """;
    HttpRequest req = HttpRequest.newBuilder()
        .uri(URI.create("https://tapapi.coxwave.link/api/v1/client-user"))
        .header("Content-Type", "application/json")
        .header("TAP-API-KEY", "{YOUR_API_KEY}")
        .POST(HttpRequest.BodyPublishers.ofString(body))
        .build();
    HttpResponse<String> res = HttpClient.newHttpClient().send(req, HttpResponse.BodyHandlers.ofString());
    System.out.println(res.body());
  }
}
const res = await fetch("https://tapapi.coxwave.link/api/v1/client-user", {
  method: "POST",
  headers: {"Content-Type": "application/json", "TAP-API-KEY": "{YOUR_API_KEY}"},
  body: JSON.stringify({
    "user_id": "user-001",
    "age": 25,
    "gender": "M",
    "job_category": "ITSW",
    "years_of_experience": 3,
    "department": "ENGINEERING"
  }),
});
console.log(await res.json());
Response
{
  "result": true
}